org.apache.avro.file

## Class SeekableFileInput

- java.lang.Object
- - java.io.InputStream
  - - java.io.FileInputStream
    - - org.apache.avro.file.SeekableFileInput

- All Implemented Interfaces:
    Closeable, AutoCloseable, SeekableInput

      public class SeekableFileInput
      extends FileInputStream
      implements SeekableInput

  A `FileInputStream` that implements `SeekableInput`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeekableFileInput(File file)`
    `SeekableFileInput(FileDescriptor fd)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `length()` Return the length of the file.
    `void` | `seek(long p)` Set the position for the next `read()`.
    `long` | `tell()` Return the position of the next `read()`.

    - ### Methods inherited from class java.io.FileInputStream

      `available, close, finalize, getChannel, getFD, read, read, read, skip`

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.avro.file.SeekableInput

      `read`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Constructor Detail

    - #### SeekableFileInput

          public SeekableFileInput(File file)
                            throws IOException

      Throws:
        `IOException`

    - #### SeekableFileInput

          public SeekableFileInput(FileDescriptor fd)
                            throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### seek

          public void seek(long p)
                    throws IOException

      Description copied from interface: `SeekableInput`
      Set the position for the next `read()`.
      Specified by:
        `seek` in interface `SeekableInput`
      Throws:
        `IOException`

    - #### tell

          public long tell()
                    throws IOException

      Description copied from interface: `SeekableInput`
      Return the position of the next `read()`.
      Specified by:
        `tell` in interface `SeekableInput`
      Throws:
        `IOException`

    - #### length

          public long length()
                      throws IOException

      Description copied from interface: `SeekableInput`
      Return the length of the file.
      Specified by:
        `length` in interface `SeekableInput`
      Throws:
        `IOException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.